---
title: Overview
summary: Overview of the software groups.
authors:
    - Sebastian Oberschwendtner
date: 2023-09-08
glightbox: false
---

**UNICADO** collects several modules and data which are grouped into repostories:

- [:simple-gitlab: Aircraft Design :octicons-link-external-16:](https://git.rwth-aachen.de/unicado/aircraft-design):

    The aircraft design repository collect alls the [sizing tools](sizing.md) and [analysis tools](analysis.md) which are needed for the preliminary design process.

- [:simple-gitlab: Libraries :octicons-link-external-16:](https://git.rwth-aachen.de/unicado/libraries):

    Whenever some functionality is used in several modules, the functions are collected and made available within the project via [libraries](libraries.md).

- [:simple-gitlab: Utilities :octicons-link-external-16:](https://git.rwth-aachen.de/unicado/utilities):

    Tools which are not directly needed for the aircraft design process, like our test framework are grouped in [utilities](additional-software.md). Some helper tools which are used to convert file types and analyse results can be found here as well.

- [:simple-gitlab: Aircraft References :octicons-link-external-16:](https://git.rwth-aachen.de/unicado/aircraft-references):

    Here you can found different designed aircraft. The designs are made using the **UNICADO** workflow and are generally in a *valid* and *converged* state.

!!! note
    This repository will be translated to a actual database in the future!

- [:simple-gitlab: Engines :octicons-link-external-16:](https://git.rwth-aachen.de/unicado/engines):

    This collect different engines and their operating data as lookup tables which is used by several tools to analyse and estimate the engine performance.

- [:simple-gitlab: WorkflowOnRCE :octicons-link-external-16:](https://git.rwth-aachen.de/unicado/rce-workflow):

    Here are all the files which are relevant for executing the **UNICADO** workflow with [RCE](https://rcenvironment.de/).

- [:simple-gitlab: UNICADO Package:octicons-link-external-16:](https://git.rwth-aachen.de/unicado/unicado-package):

    This repository is a container which collects all **UNICADO** repositories as submodules. It is used to create the **UNICADO** releases and is a **good** starting point to get developing.